Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLab.LibSVM-1.6.3.csproj
===================================================================
--- branches/3.2/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLab.LibSVM-1.6.3.csproj	(revision 3580)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLab.LibSVM-1.6.3.csproj	(revision 3842)
@@ -83,9 +83,10 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLabLibSVMPlugin.cs.frame" />
     <Compile Include="HeuristicLabLibSVMPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
   <ItemGroup>
-    <Content Include="LibSVM License.txt">
+    <Content Include="SVM.NET-1.6.3 License.txt">
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
     </Content>
@@ -96,5 +97,5 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+    <ProjectReference Include="..\..\..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure</Name>
@@ -119,5 +120,6 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd</PreBuildEvent>
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabLibSVMPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabLibSVMPlugin.cs"</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLabLibSVMPlugin.cs
===================================================================
--- branches/3.2/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLabLibSVMPlugin.cs	(revision 3580)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLabLibSVMPlugin.cs	(revision 3842)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -7,9 +27,9 @@
 
 namespace HeuristicLab.LibSVM {
-  [Plugin("HeuristicLab.LibSVM-1.6.3")]
+  [Plugin("HeuristicLab.LibSVM", "1.6.3.2645")]
   [PluginFile("HeuristicLab.LibSVM-1.6.3.dll", PluginFileType.Assembly)]
   [PluginFile("LibSVM-1.6.3.dll", PluginFileType.Assembly)]
-  [PluginFile("LibSVM License.txt",PluginFileType.License)]
-  public class HeuristicLabWinFormsUIPlugin : PluginBase {
+  [PluginFile("SVM.NET-1.6.3 License.txt",PluginFileType.License)]
+  public class HeuristicLabLibSVMPlugin : PluginBase {
   }
 }
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLabLibSVMPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLabLibSVMPlugin.cs.frame	(revision 3842)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/HeuristicLabLibSVMPlugin.cs.frame	(revision 3842)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.LibSVM {
+  [Plugin("HeuristicLab.LibSVM", "1.6.3.$WCREV$")]
+  [PluginFile("HeuristicLab.LibSVM-1.6.3.dll", PluginFileType.Assembly)]
+  [PluginFile("LibSVM-1.6.3.dll", PluginFileType.Assembly)]
+  [PluginFile("SVM.NET-1.6.3 License.txt",PluginFileType.License)]
+  public class HeuristicLabLibSVMPlugin : PluginBase {
+  }
+}
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/3.2/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/Properties/AssemblyInfo.frame	(revision 3580)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/Properties/AssemblyInfo.frame	(revision 3842)
@@ -1,6 +1,25 @@
-﻿using System.Reflection;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System.Reflection;
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -8,9 +27,9 @@
 // associated with an assembly.
 [assembly: AssemblyTitle("HeuristicLab.LibSVM")]
-[assembly: AssemblyDescription("Transport plugin for LibSVM")]
+[assembly: AssemblyDescription("HeuristicLab transport plugin for SVM.NET by Matthew Johnson which is a C# port of libSVM by Chih-Chung Chang and Chih-Jen Lin")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -34,5 +53,4 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.6.3")]
-[assembly: AssemblyFileVersion("1.6.3")]
-[assembly: AssemblyBuildDate("$WCNOW$")]
+[assembly: AssemblyVersion("1.6.3.0")]
+[assembly: AssemblyFileVersion("1.6.3.$WCREV$")]
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/SVM.NET-1.6.3 License.txt
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/SVM.NET-1.6.3 License.txt	(revision 3842)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/1.6.3/HeuristicLab.LibSVM-1.6.3/SVM.NET-1.6.3 License.txt	(revision 3842)
@@ -0,0 +1,16 @@
+
+SVM.NET Library
+Copyright (C) 2009 Matthew Johnson
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
